package com.zhili.zkstationserver;

import com.zhili.zkstationserver.component.StationServer;
import lombok.extern.slf4j.Slf4j;
import org.mybatis.spring.annotation.MapperScan;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ApplicationContext;
import org.springframework.scheduling.annotation.EnableScheduling;


/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2022/9/28 10:43
 */
@EnableScheduling
@SpringBootApplication
@MapperScan("com.zhili.zkstationserver.mapper")
@Slf4j
public class MainApp {
    public static void main(String[] args) {
        ApplicationContext ctx = SpringApplication.run(MainApp.class, args);
        StationServer stationServer = ctx.getBean(StationServer.class);
        stationServer.run();
        log.info("server is running");
    }
}
