package com.zhili.zkstationserver.controller;

import com.zhili.zkstationserver.component.StationServer;
import com.zhili.zkstationserver.configuration.ServerConfig;
import com.zhili.zkstationserver.controller.advice.CommonResponse;
import com.zhili.zkstationserver.dto.ServerInfo;
import com.zhili.zkstationserver.util.StationCenter;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RestController;
import org.springframework.web.client.RestClientException;
import org.springframework.web.client.RestTemplate;

import java.util.HashMap;
import java.util.HashSet;
import java.util.Map;
import java.util.Set;

/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2023/1/17 17:18
 */
@RestController
@Slf4j
public class StationServierInfoController {
    @Autowired
    RestTemplate template;

    @Autowired
    ServerConfig serverConfig;

    @GetMapping("/test")
    public String test(){
        return "123";
    }

//    //获取本服务器上的所有站
//    @GetMapping("/getServerStations")
//    public Set<String> getServerStations() {
//        return StationCenter.getStations();
//    }
//
//    //获取所有服务器上的所有站
//    @GetMapping("/getStations")
//    public Map<String, Set<String>> getAllStations() {
//        Map<String, Set<String>> res = new HashMap<>();
//        for (Map.Entry<String, ServerInfo> e : StationServer.stationServers.entrySet()) {
//            String serverId = e.getKey();
//            if (serverId.equals(serverConfig.getId())) {
//                res.put(serverId, getServerStations());
//            } else {
//                ServerInfo serverInfo = e.getValue();
//                String url="http://" + serverInfo.getIpAddress() + ":" + serverInfo.getPort() + "/getServerStations";
//                try{
//                    CommonResponse r = template.getForObject(url, CommonResponse.class);
//                    if (r.getCode().equals(0)) {
//                        Set<String> rData = (Set<String>) r.getData();
//                        res.put(serverId, rData);
//                    } else {
//                        res.put(serverId, new HashSet<>());
//                    }
//                }catch (RestClientException ex){
//                    log.error("请求接口失败："+url);
//                    ex.printStackTrace();
//                }
//            }
//        }
//        return res;
//    }
//
//    //站是否存在于本服务器上
//    @GetMapping("/stationExist/{stationCode}")
//    public Boolean stationExist(@PathVariable String stationCode) {
//        return StationCenter.stationExist(stationCode);
//    }
//
//    //站存在于哪些服务器上
//    @GetMapping("/stationExistServers/{stationCode}")
//    public Set<String> stationExistServers(@PathVariable String stationCode) {
//        Set<String> res = new HashSet<>();
//        for (Map.Entry<String, ServerInfo> e : StationServer.stationServers.entrySet()) {
//            String serverId = e.getKey();
//            if (serverId.equals(serverConfig.getId())) {
//                if (stationExist(stationCode)) {
//                    res.add(serverId);
//                }
//            } else {
//                ServerInfo serverInfo = e.getValue();
//                String url = "http://" + serverInfo.getIpAddress() + ":" + serverInfo.getPort() + "/stationExist/" + stationCode;
//                try {
//                    CommonResponse r = template.getForObject(url, CommonResponse.class);
//                    if (r.getCode().equals(0)) {
//                        if ((Boolean) r.getData()) {
//                            res.add(serverId);
//                        }
//                    }
//                }catch (RestClientException ex){
//                    log.error("请求接口失败："+url);
//                    ex.printStackTrace();
//                }
//            }
//        }
//        return res;
//    }
}
