package com.zhili.zkstationserver.dto;

import com.zhili.zkstationserver.util.BytesUtil;
import lombok.Data;
import org.apache.commons.lang.ArrayUtils;

/**
 * @author ：jek
 * @description：TODO
 * @date ：2023/2/8 15:28
 */
@Data
public class ExchangeStartReply {
    String stationCode;
    String exchangeNo;
    /**
     * 指令编号
     */
    String cmdNo;
    int result;
    String msg;
    public ExchangeStartReply(String stationCode, byte[] data) {
        this.stationCode = stationCode;
        exchangeNo = BytesUtil.parseString(ArrayUtils.subarray(data, 0, 32));
        cmdNo = BytesUtil.parseString(ArrayUtils.subarray(data, 32, 64));
        result = Byte.toUnsignedInt(data[64]);
        msg = BytesUtil.deUnicode(ArrayUtils.subarray(data, 65, 129));
    }
}
