package com.zhili.zkstationserver.dto;


import com.zhili.zkstationserver.entity.ExchangeProcess;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;

/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2023/1/3 16:00
 */
@Data
@NoArgsConstructor
public class ExchangeUserMsg {
    Integer userId;
    String exchangeNo;
    String serialNo;
    String vin;
    String plate;
    Date processTime;
    Integer processStep;
    Integer processResult;
    String processName;
    String processMsg;
    Integer robotStep;

    public ExchangeUserMsg(Integer userId, ExchangeProcess p) {
        this.userId = userId;
        exchangeNo = p.getExchangeNo();
        serialNo = p.getSerialNo();
        vin = p.getVin();
        plate = p.getPlate();
        processTime = p.getProcessTime();
        processStep = p.getProcessStep();
        processResult = p.getProcessResult();
        processName = p.getProcessName();
        processMsg = p.getProcessMsg();
        robotStep = p.getRobotStep();
    }
}
