package com.zhili.zkstationserver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

/**
 * @author zhaoyuanqi
 */
@Data
@TableName("charger_alarm_dict")
public class ChargerAlarmDict {

    @TableId(type = IdType.AUTO)
    private Long id;

    /**
     * 告警编码
     */
    private Integer alarmCode;

    /**
     * 告警信息
     */
    private String alarmName;

    public String getAlarmId() {

        return "alarm_" + this.alarmCode;
    }
}
