package com.zhili.zkstationserver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2022/12/23 14:40
 */
@Data
@TableName("exchange_record")
public class ExchangeRecord {
    @TableId(type = IdType.AUTO)
    Integer id;
    String exchangeNo;
    String stationCode;
    String stationAddress;
    String driverName;
    String driverPhone;
    String vin;
    String plate;
    String sourceBatterySn;
    Float sourceVol;
    Float sourceCur;
    String targetBatterySn;
    Float sourceCapacity;
    Float targetCapacity;
    Float sourceSoc;
    Float targetSoc;
    Float sourceSoh;
    Float targetSoh;
    Float exchangePower;
    Float powerFee;
    Float serviceFee;
    Date startTime;
    Date endTime;
    Integer state;
    String reason;
    Boolean uploaded;
    Date updateTime;
    Date time;
    Integer powerState;
    Integer lockState;
}
