package com.zhili.zkstationserver.controller.advice;

import lombok.Data;

/**
 * @author ：HuangBin
 * @description：TODO
 * @date ：2022/9/28 11:07
 */
@Data
public class CommonResponse<T> {
    Integer code;
    String msg;
    T data;

    private CommonResponse(Integer errCode, String errMsg, T data){
        this.code = errCode;
        this.msg = errMsg;
        this.data = data;
    }


    public static CommonResponse newSuccess(Object data){
        GlobalError.ErrorType success = GlobalError.ErrorType.SUCCESS;
        return new CommonResponse(success.getErrCode(),success.getErrMsg(), data);
    }

    public static CommonResponse newFail(GlobalError err){
        return new CommonResponse(err.getErrCode(), err.getErrMsg(),null);
    }
}
