package com.zhili.zkstationserver.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

/**
 * @author zhaoyuanqi
 */
@Data
@TableName("bms_alarm_dict")
@JsonInclude(JsonInclude.Include.NON_NULL)
public class BmsAlarmDict {

    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 告警编号
     */
    private Integer alarmCode;
    /**
     * 帧id
     */
    private String frameId;

    /**
     * 字节顺序
     */
    private Integer byteSeq;

    /**
     * 告警顺序
     */
    private Integer seq;

    /**
     * 告警开始位
     */
    private Integer startBit;

    /**
     * 告警结束位
     */
    private Integer endBit;

    /**
     * 告警名称
     */
    private String alarmName;

    /**
     * 告警标识 1:告警 2:状态 3:未定义
     */
    private Integer alarmType;

    /**
     * 告警值
     */
    private String alarmValue;

    public String getAlarmId() {

        return "alarm_" + this.alarmCode;
    }
}
